-- Function to handle click event cancellation
if click then
  click.cancel()  -- Cancel the click event
  service.speak("boomber by Ruben off")  -- Announce the cancellation
  click = nil  -- Reset the click variable
  return true  -- Exit the function
end

-- Function to append elements from table t2 to table t1
function append(t1, t2)
  for k, v in ipairs(t2) do
    table.insert(t1, v)  -- Insert elements of t2 into t1
  end
end

-- Initialize button and click lists
按钮列表 = {}
初始化 = { { {"%Paste$1", "Kirim|Send$1"} } }
点击列表 = { { {"%Paste$1", "Kirim|Send$1"} } }
后续操作 = {}
循环次数 = 1000  -- Loop count
定时间隔 = 1  -- Time interval
定时次数 = 1  -- Timer count

-- Append initialization values to the button list
append(按钮列表, 初始化)

-- Create a new table 'c' to hold repeated click lists
local c = {}

-- Loop to add 点击列表 to 'c' for the specified number of times
for n = 1, 循环次数 do
  append(c, 点击列表)
end

-- Add the repeated click list 'c' to the button list
table.insert(按钮列表, {c})

-- Append any follow-up actions to the button list
append(按钮列表, 后续操作)

-- Start the looping click service with an extremely large interval
click = service.loopClick(定时间隔 * 99999999990000000000000, 定时次数, {
  {
    "%解锁",  -- Unlock operation
    {按钮列表},  -- Pass the button list
  }
})

-- Announce that the process has started
service.speak("已boomber by Ruben on开始")

-- Return true to indicate success
return true